# AtkHypertext

## Name

AtkHypertext -- The ATK interface which provides standard mechanism for manipulating hyperlinks.

## Synopsis

    struct      AtkHypertext;
    AtkHyperlink* atk_hypertext_get_link        (AtkHypertext *hypertext,
                                                 gint link_index);
    gint        atk_hypertext_get_n_links       (AtkHypertext *hypertext);
    gint        atk_hypertext_get_link_index    (AtkHypertext *hypertext,
                                                 gint char_index);

## Object Hierarchy

      GInterface
       +----AtkHypertext

## Description

## Details

### struct AtkHypertext

    struct AtkHypertext;

The AtkHypertext structure does not contain any fields.

### atk_hypertext_get_link ()

    AtkHyperlink* atk_hypertext_get_link        (AtkHypertext *hypertext,
                                                 gint link_index);

Gets the link in this hypertext document at index `link_index`

`hypertext` :

  an AtkHypertext

`link_index` :

  an integer specifying the desired link

Returns :

  the link in this hypertext document at index `link_index`

### atk_hypertext_get_n_links ()

    gint        atk_hypertext_get_n_links       (AtkHypertext *hypertext);

Gets the number of links within this hypertext document.

`hypertext` :

  an AtkHypertext

Returns :

  the number of links within this hypertext document

### atk_hypertext_get_link_index ()

    gint        atk_hypertext_get_link_index    (AtkHypertext *hypertext,
                                                 gint char_index);

Gets the index into the array of hyperlinks that is associated with the character specified by `char_index`, or -1 if there is no hyperlink associated with this character.

`hypertext` :

  an AtkHypertext

`char_index` :

  a character index

Returns :

  an index into the array of hyperlinks in `hypertext`